#ifndef __LIBDIAG_H
#define __LIBDIAG_H

#include <time.h>
#include <stdint.h>

uint64_t rdtsc( void );
unsigned calibr( int rep );
uint64_t proc_hz( void );
void set_rt( void );

static double inline tick2us( unsigned long long proc_hz,
                              unsigned long ticks ) {
   return ( ( 1E9 / proc_hz ) * ticks ) / 1000.;
}

#endif
